Skip to content
This repository
tag: v1378
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 43 lines (29 sloc) 1.309 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42
# -*- conf -*- (for emacs)
#
# GLOBAL TAGS
#
# <!> PLEASE BE VERY VERY (VERY) RESTRICTED WITH DEPENDENCIES
# if you are adding a flag 'use_something' in this file, you are probably doing something wrong
# this file should only contain restricted traverse directives, sorted by repos, and warning-error directives

# Default : do not include or traverse anything
<**/*>: -include, -traverse

# Warnings
<**/*.ml>: warn_L, warn_Z, warn_error_A

# -- from opageneral --

<{utils,buildinfos}>: traverse

# -- from libqml --

<{pplib,libbase,compilerlib,passlib,libtrx,jslang,ocamllang,libqmlcompil,libruntime,oparuntime,database,teerex,libbsl,qmlslicer,ulex,qmlpasses,libsession}>: traverse

<{libbase.{cma,cmxa},ocamlbase.top}>: use_stubs
<ocamlbase.top>: thread, use_unix, use_str, use_zip, use_ulex

# -- from qml2llvm --

<{opatop,qmlflat,qmlcps,qml2ocaml,qml2js,qmljsimp,qmlcompilers,tools}>: traverse

# -- from opa --

<{opacapi,opalib,shared,opa,plugins,opabsl,test,opalang,passes,stdlib,ml2opa,opadoc}>: traverse

# -- from appserver --
<{appruntime,libnet,libsecurity,libtools,protocols,opasmanagers}>: traverse
<libsecurity.*a>: use_ssl_ext
<appruntime.*a>: use_io
<libnattraversal.*a>: use_miniupnpc_idl, use_natpmp_idl

# --
<{dissemination}>: traverse
<{libirc}>: traverse
Something went wrong with that request. Please try again.